Bug 88494 - PXE is broken in Red Hat 9
PXE is broken in Red Hat 9
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: pxe (Show other bugs)
9
All Linux
medium Severity high
: ---
: ---
Assigned To: Daniel Walsh
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-10 11:09 EDT by Alan Cox
Modified: 2007-04-18 12:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-11 10:46:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2003-04-10 11:09:14 EDT
Description of problem:

Update working PXE server from Red Hat 8 to Red Hat 9
Attempt to use PXE

Traces show the PXE daemon receiving multicast messages and ignoring
them. In addition the mtftpd server runs from inetd which means it does not
run until a packet arrives. Since xinetd doesnt know to join the needed 
multicast groups the entire thing doesn't work.

In addition the PXE files license explicitly requires we credit Intel and wait
2 seconds each boot. We don't do this.

I've tcpdumped it for ages, straced it and finally gave up. I replaced the
entire shitpile with pxelinux and the pxelinux recommended pxe daemon
and now it seems to be working ok.
Comment 1 Daniel Walsh 2003-04-11 10:46:14 EDT
We are dropping support for pxe in the RHEL release and will drop it from future 
RedHat release.  I am writing up documentation on how to use dhcp/pxelinux for
X86 platforms.  I am also attempting to document how to do this on other
platforms IPF  and hammer.

Dan

Note You need to log in before you can comment on or make changes to this bug.